Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision e72bd95d5d346e39e71a908b9203b17619880e85)
+++ sansview/perspectives/fitting/basepage.py	(revision 6dc9ad8e1174127cbd29b9215ebfcb92d37022e4)
@@ -993,4 +993,6 @@
             flag= name != "NoStructure"
             if flag and (class_name in self.model_list_box["Structure Factors"]):
+                self.structurebox.Show()
+                self.text2.Show()                
                 self.structurebox.Enable()
                 self.text2.Enable()
@@ -1048,8 +1050,12 @@
                 if k in["P(Q)*S(Q)","Shapes" ] and class_name in self.model_list_box["Shapes"]:
                     if class_name in self.model_list_box["P(Q)*S(Q)"]:
+                        self.structurebox.Show()
+                        self.text2.Show()
                         self.structurebox.Enable()
                         self.structurebox.SetSelection(0)
                         self.text2.Enable()
                     else:
+                        self.structurebox.Hide()
+                        self.text2.Hide()
                         self.structurebox.Disable()
                         self.structurebox.SetSelection(0)
@@ -1165,8 +1171,12 @@
             self.structurebox.Insert("None", 0,None)
             self.structurebox.SetSelection(0)
+            self.structurebox.Hide()
+            self.text2.Hide()
             self.structurebox.Disable()
             self.text2.Disable()
              
             if self.model.__class__ in self.model_list_box["P(Q)*S(Q)"]:
+                self.structurebox.Show()
+                self.text2.Show()
                 self.structurebox.Enable()
                 self.text2.Enable()            
@@ -1273,8 +1283,12 @@
         form_factor = self.formfactorbox.GetClientData( f_id )
         if not form_factor in  self.model_list_box["multiplication"]:
+            self.structurebox.Hide()
+            self.text2.Hide()           
             self.structurebox.Disable()
             self.structurebox.SetSelection(0)
             self.text2.Disable()
         else:
+            self.structurebox.Show()
+            self.text2.Show()
             self.structurebox.Enable()
             self.text2.Enable()
@@ -1576,7 +1590,10 @@
                 self.disp_cb_dict[p] = wx.CheckBox(self, -1, p, (10, 10))
                 self.state.disp_cb_dict[p]=  self.disp_cb_dict[p].GetValue()
-                if not self.enable2D:
+                print "self.enable2D",self.enable2D
+                if not (self.enable2D or self.data.__class__.__name__ =="Data2D"):
+                    self.disp_cb_dict[p].Hide()
                     self.disp_cb_dict[p].Disable()
                 else:
+                    self.disp_cb_dict[p].Show(True)
                     self.disp_cb_dict[p].Enable()
 
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 5af5183c3652621c45a9e497f1225283ee30f1c1)
+++ sansview/perspectives/fitting/fitpage.py	(revision 6dc9ad8e1174127cbd29b9215ebfcb92d37022e4)
@@ -285,5 +285,5 @@
         nsigmas = wx.StaticText(self, -1, 'Nsigmas')
         self.sizer4_4.Add(nsigmas,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-       
+
         for item in self.model.dispersion.keys():
             if not item in self.model.orientation_params:
@@ -364,6 +364,8 @@
                                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
                         if self.data.__class__.__name__ =="Data2D":
+                            cb.Show(True)
                             cb.Enable()
                         else:
+                            cb.Hide()
                             cb.Disable()
                         ix = 1
@@ -373,6 +375,8 @@
                         ctl1.SetValue(str (format_number(value)))
                         if self.data.__class__.__name__ =="Data2D":
+                            ctl1.Show(True)
                             ctl1.Enable()
                         else:
+                            ctl1.Hide()
                             ctl1.Disable()
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1),wx.EXPAND)
@@ -389,6 +393,8 @@
                         ctl2.Hide()
                         if self.data.__class__.__name__ =="Data2D":
+                            #ctl2.Show(True)
                             ctl2.Enable()
                         else:
+                            #ctl2.Hide()
                             ctl2.Disable()
                         self.fittable_param.append([cb,name1,ctl1,text2,
@@ -404,6 +410,8 @@
                             Tctl.SetValue(str (format_number(value)))
                             if self.data.__class__.__name__ =="Data2D":
+                                Tctl.Show(True)
                                 Tctl.Enable()
                             else:
+                                Tctl.Hide()
                                 Tctl.Disable()
                             self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
@@ -420,6 +428,8 @@
                             Tctl.SetValue(str (format_number(value)))
                             if self.data.__class__.__name__ =="Data2D":
+                                Tctl.Show(True)
                                 Tctl.Enable()
                             else:
+                                Tctl.Hide()
                                 Tctl.Disable()
                             self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
@@ -1013,5 +1023,5 @@
         keys.sort()
     
-        iy = 1
+        iy = 0
         ix = 0
         self.cb1 = wx.CheckBox(self, -1,"Select all", (10, 10))
@@ -1127,4 +1137,17 @@
         else:
             type = "Gaussian"
+            
+        iy += 1
+        ix = 0
+        #Add tile for orientational angle
+        for item in keys:
+            if item in self.model.orientation_params:       
+                orient_angle = wx.StaticText(self, -1, '[For 2D only]:')
+                sizer.Add(orient_angle,(iy, ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+                if not self.data.__class__.__name__ =="Data2D":
+                    orient_angle.Hide()
+                else:
+                    orient_angle.Show(True)
+                break
       
         #For Gaussian only
@@ -1139,6 +1162,8 @@
                     wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
                     if self.data.__class__.__name__ =="Data2D":
+                        cb.Show(True)
                         cb.Enable()
                     else:
+                        cb.Hide()
                         cb.Disable()
                     sizer.Add( cb,( iy, ix),(1,1),
@@ -1153,6 +1178,8 @@
                     ctl1.SetValue(format_number(value))
                     if self.data.__class__.__name__ =="Data2D":
+                        #ctl1.Show(True)
                         ctl1.Enable()
                     else:
+                        #ctl1.Hide()
                         ctl1.Disable()
                     sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
@@ -1169,6 +1196,8 @@
                     ctl2.Hide()
                     if self.data.__class__.__name__ =="Data2D":
+                        ctl1.Show(True)
                         ctl1.Enable()
                     else:
+                        ctl1.Hide()
                         ctl1.Disable()
                     param_min, param_max= self.model.details[item][1:]
@@ -1184,6 +1213,8 @@
                     ctl3.Hide()
                     if self.data.__class__.__name__ =="Data2D":
+                        #ctl3.Show(True)
                         ctl3.Enable()
                     else:
+                        #ctl3.Hide()
                         ctl3.Disable()
                     ix += 1
@@ -1198,6 +1229,8 @@
                     ctl4.Hide()
                     if self.data.__class__.__name__ =="Data2D":
+                        #ctl4.Show(True)
                         ctl4.Enable()
                     else:
+                        #ctl4.Hide()
                         ctl4.Disable()
                     if self.engine_type=="park":
@@ -1211,6 +1244,8 @@
                         units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
                     if self.data.__class__.__name__ =="Data2D":
+                        units.Show(True)
                         units.Enable()
                     else:
+                        units.Hide()
                         units.Disable()
                     sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision f20767bc58d07c9f4d4c8b08bed906d17bd199e7)
+++ sansview/perspectives/fitting/modelpage.py	(revision 6dc9ad8e1174127cbd29b9215ebfcb92d37022e4)
@@ -213,4 +213,8 @@
                         self.sizer4_4.Add( name,( iy, ix),(1,1),  
                                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                        if not self.enable2D:
+                            name.Hide()
+                        else:
+                            name.Show(True)
                         ix = 1
                         value= self.model.getParam(name1)
@@ -219,6 +223,8 @@
                         ctl1.SetValue(str (format_number(value)))
                         if not self.enable2D:
+                            ctl1.Hide()
                             ctl1.Disable()
                         else:
+                            ctl1.Show(True)
                             ctl1.Enable()
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
@@ -234,6 +240,8 @@
                             Tctl1.SetValue(str (format_number(value)))
                             if not self.enable2D:
+                                Tctl1.Hide()
                                 Tctl1.Disable()
                             else:
+                                Tctl1.Show(True)
                                 Tctl1.Enable()
                             self.sizer4_4.Add(Tctl1, (iy,ix),(1,1),
@@ -250,6 +258,8 @@
                             Tctl2.SetValue(str (format_number(value)))
                             if not self.enable2D:
+                                Tctl2.Hide()
                                 Tctl2.Disable()
                             else:
+                                Tctl2.Show(True)
                                 Tctl2.Enable()
                             self.sizer4_4.Add(Tctl2, (iy,ix),(1,1),
@@ -287,8 +297,11 @@
             self._draw_model()
             self.model_view.Disable()
-          
+            
+            self.set_model_param_sizer(self.model)
+            self._set_sizer_gaussian()
+            
             if len(self.orientation_params)>0:
                 for item in self.orientation_params:
-                    if item[2]!=None:
+                    if item[2]!=None:      
                         item[2].Enable()
             if  self.disp_name == "ArrayDispersion":                
@@ -304,6 +317,5 @@
         event = PageInfoEvent(page = self)
         wx.PostEvent(self.parent, event)
-        
-        
+              
                 
     def reset_page(self, state):
@@ -464,5 +476,5 @@
         keys.sort()
     
-        iy = 1
+        iy = 0
         ix = 0
         self.text1_2 = wx.StaticText(self, -1, 'Names')
@@ -507,4 +519,18 @@
         iy+=1
         sizer.Add((10,10),(iy,ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        iy += 1
+        ix = 0
+        
+        #Add tile for orientational angle parameters
+        for item in keys:
+            if item in self.model.orientation_params:        
+                orient_angle = wx.StaticText(self, -1, '[For 2D only]:')
+                sizer.Add(orient_angle,(iy, ix),(1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15) 
+                if not self.enable2D:
+                    orient_angle.Hide()
+                else:
+                    orient_angle.Show(True)
+                break
+                                          
         for item  in self.model.orientation_params:
             if not item in self.disp_list and item in keys:
@@ -514,4 +540,8 @@
                 sizer.Add( name,( iy, ix),(1,1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+                if not self.enable2D:
+                    name.Hide()
+                else:
+                    name.Show(True)
 
                 ix += 1
@@ -522,6 +552,8 @@
                 ctl1.SetValue(str (format_number(value)))
                 if not self.enable2D:
+                    ctl1.Hide()
                     ctl1.Disable()
                 else:
+                    ctl1.Show(True)
                     ctl1.Enable()
                 
@@ -533,4 +565,11 @@
                 except:
                     units = wx.StaticText(self, -1, "", style=wx.ALIGN_LEFT)
+                if not self.enable2D:
+                    units.Hide()
+                    units.Disable()
+                else:
+                    units.Show(True)
+                    units.Enable()
+
                 sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                 
